---
layout: documentation
---

{% include base.html %}

## Add-ons / Extensions

All add-ons for openHAB 2 are part of the distribution.
This includes all new 2.0 bindings as well as all 1.x add-ons that were reported to be compatible.
Add-ons are ready to be installed through Paper UI ➜ Extensions.

![extensions]({{base}}/configuration/images/paperui1.png)


| Add-on Type | Description |
|-------------|----------------------|
| [Bindings](bindings.html) | Bindings integrate physical hardware, external systems and web services in openHAB |
| [User Interfaces](uis.html) | User interfaces are either native smartphone apps or web applications that access the openHAB server through the REST API |
| [Persistence](persistence.html) | Persistence services allow openHAB to store time series data for history-based actions or statistics |
| [Actions](actions.html) | Actions are predefined methods for openHAB rules and scripts |
| [Transformations](transformations.html) | Transformations are used to translate between technical and human-readable values for items |
| [Voice Services](voice.html) | Services that provide voice enabling features, such as text-to-speech, speech-to-text etc. |
| [3rd Party System Integration](io.html) | Expose openHAB to external systems |
